Subject: Re: [PATCH 5/8] rebase: preserve interactive todo file on checkout failure

From: Oswald Buddenhagen <[email-masked]>
Date: Fri, 24 Mar 2023 15:42:49 +0100

On Fri, Mar 24, 2023 at 02:15:47PM +0000, Phillip Wood wrote:
>On 23/03/2023 22:38, Oswald Buddenhagen wrote:
>> so you basically want to convert the magic `onto` into an explicit 
>> todo command? i'm not sure what the advantage would be, and i 
>> certainly can think of disadvantages re. usability and backwards 
>> compat.
>
>If the initial checkout of "onto" fails I want the rebase to stop so the 
>user can try and fix the problem (usually remove an untracked file) and 
>then run "git rebase --continue" to continue the rebase including the 
>initial checkout. Adding a "reset" command to the beginning of the todo 
>list when the initial checkout fails is one way of achieving that.
>
i suppose, but patch 8/8 does pretty much the same, only with fewer side 
effects.

>>> How does this patch ensure the checkout happens when the user 
>>> continues the rebase?
>>>
>> the idea was never that the user --continue's. we're talking about a 
>> fatal error,
>
>If it is a fatal error what is stopping the user from running "rebase 
>--continue" and wreaking havoc? [...]
>
>It would be much more user friendly to simply allow them to fix the 
>problem with the checkout and run "git rebase --continue"
>
i'll reorder the patch to the end of the series, as after the currently 
last patch we'll be in a much better position to deal with the fallout 
in a sane way.

thanks!